/*
 * Copyright (C) 2011 Patrik 锟絢erfeldt
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.wasu.cs.adapter;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;

import com.wasu.cs.model.FeiHuData;
import com.wasu.frescoimagefetchermodule.FrescoImageFetcherModule;

import java.util.List;

import cn.com.wasu.main.R;

public class FeiHuImageAdapter extends BaseAdapter {
	private List<FeiHuData.DataBean.BannerBean.ListBean> mData;
	private LayoutInflater mInflater;

	public FeiHuImageAdapter(Context context , List<FeiHuData.DataBean.BannerBean.ListBean> data) {
		mData = data;
		mInflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	}

	@Override
	public int getCount() {
		return Integer.MAX_VALUE;
	}
	@Override
	public Object getItem(int position) {
		return position;
	}

	@Override
	public long getItemId(int position) {
		return position;
	}
	public FeiHuData.DataBean.BannerBean.ListBean getItemData(int position){

		return mData.get(position);
	}

	@Override
	public View getView(final int position, View convertView, ViewGroup parent) {
		if (convertView == null) {
			convertView = mInflater.inflate(R.layout.item_image_layout, null);
		}
		String imgUrl  = mData.get(position%mData.size()).getPicUrl();
		ImageView image = (ImageView) convertView
				.findViewById(R.id.ivPic);
		FrescoImageFetcherModule.getInstance().attachImage(imgUrl ,image);
		convertView.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
//				Intent intent = new Intent(mContext,AdvDetailActivity.class);
//				Bundle bundle = new Bundle();
//				bundle.putString("image_url", ids[position%ids.length]);
//				intent.putExtras(bundle);
//				mContext.startActivity(intent);
			}
		});
		return convertView;
	}

}
